%define upstream_name    HTTP-Tiny-Multipart
%define upstream_version 0.05

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Add post_multipart to HTTP::Tiny
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(HTTP::Tiny)
BuildRequires: perl(MIME::Base64)
BuildArch: noarch

%description
Add post_multipart to HTTP::Tiny

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Apr 09 2017 shlomif <shlomif> 0.50.0-1.mga6
+ Revision: 1096170
- .spec description and fixes
- imported package perl-HTTP-Tiny-Multipart


* Sun Apr 09 2017 cpan2dist 0.05-1mga
- initial mageia release, generated with cpan2dist
